Tag Archives: mod_security issue

Why and How to Disable Mod_Security?

why-and-how-disable-mod-securityAn apache module that helps to secure your website from several attacks is called Mod_security. Commonly known exploits are blocked with mod_security by using regular expressions and rule sets. It helps in strengthening the security of your servers by potentially blocking common code injection attacks.

No doubt mod-security can be useful when properly configured but many hosting providers don’t do this job correctly leading to problems. The commonly faced problems include triggering of security protocols on standard actions which should be allowed, 403 or 404 errors, access denied error, login issues, unable to modify categories and boards or similar problems. read more

ERROR : Web server software (WebServerX) is not supported. Sorry

Web server software (WebServerX) is not supported. Sorry

This is one of the errors that server administrators would usually come across after installing Moodle

The reason why  the server generates this is due to mod_security configuration.

SOLUTION

Inorder to resolve the issue, one must edit the following file:

# vi /usr/local/apache/conf/modsec2.conf

and comment the line:

SecServerSignature "WebServerX"

i.e.

#SecServerSignature "WebServerX"
Save these changes and Restart Apache Services

This should resolve the issue and Moodle would start working fine. read more